You are here    Bugs    PlayOnLinux    Bug    Ticket #5002 nl sv ru pl es de fr

Bug #5002 on PlayOnLinux

Unable to download script for install components with playonlinux.

Added by ll413 on 2015-02-26 08:41:38 - Comment or update this ticket

Statut:
Fixed
Priority:
Low
Assigned to:
Last update:
2015-04-24 14:11:48
Description, steps to reproduce:
Hi,
It's impossible to download script for install components :

Steps to Reproduce:
1. Start playonlinux
2. Select an installed software
3. Click "Configure"
4. Switch to tab "Install components"
5. Select a component (directx9, gdiplus, vcrun2013, ...)
6. Click on Install

wget: symbol lookup error: wget: undefined symbol: SSLv2_client_method

7. Warning !! The signature of the script you are trying to run is NOT valid... The script is empty...

It looks like Playonlinux uses internal version of libssl.so.1.0.0 which doesn't provide necessary symbols.

Will it help to remove ~/.PlayOnLinux/wine/linux-x86/1.7.33/lib/libssl.so.1.0.0 file?

(note that path can be different if your PlayOnLinux downloaded another version of wine, just look for libssl.so.1.0.0 file in ~/.PlayOnLinux/ folder)



--------------



Bonjour,
il est impossible d'installer des composants si l'on choisit d'utiliser une version de wine fourni par PlayOnLinux au lieu d'utiliser la version du système.

La solution consisterais à supprimer manuellement les fichiers libssl.so.1.0.0 fournis par les installations de Wine de PlayOnLinux :
 ~/.PlayOnLinux/wine/linux-x86/***/lib/libssl.so.1.0.0



Voir le bugzilla de Rosa Linux :
http://bugs.rosalinux.ru/show_bug.cgi?id=4986

History

Update by petch on 2015-02-26 10:26:55

It may have already been fixed in development version:
https://github.com/PlayOnLinux/POL-POM-4/commit/2e47839d916192f31c44bdeed884334b228d9ea1

See on the download page how to clone the repository, you can start the development version directly from it.

IMHO this is a breaking bug, maybe some new version should be released?

Update by Quentin PÂRIS on 2015-02-26 10:31:08

I can confirm that I remember to have fixed this issue in the developement version. Can you test it and tell us if it works?

Many thanks,

Update by ll413 on 2015-02-26 14:08:39

Yes, the problem is fixed in the developement version.

Update by Ronin DUSETTE on 2015-02-27 23:44:20

We should be able to close this now, as the fix was pushed to POL 4.2.6, which was released a little bit ago. 

Update by Quentin PÂRIS on 2015-02-28 01:35:19

  • Statut changed to Fixed


Update by anshupitlia on 2015-04-24 14:11:48

Hey I'm also getting the same error:


I am using ubuntu 14.04. This is how I downloaded the POL:

wget -q "http://deb.playonlinux.com/public.gpg" -O- | sudo apt-key add -
sudo wget http://deb.playonlinux.com/playonlinux_trusty.list -O /etc/apt/sources.list.d/playonlinux.list
sudo apt-get update
sudo apt-get install playonlinux

Which I think should have downloaded the latest version, 4.2.7, later than 4.2.6 when the bug was fixed.

I am trying to follow the steps given here: http://www.bendangelo.me/install/2014/10/29/installing-photoshop-cs6-on-ubuntu.html

and getting the same error "Unable to download script for install components"

Please check if the bug still exists, and what else do I need to do, should i try the development version?